cryptol-2.4.0: Cryptol: The Language of Cryptography

Copyright | (c) 2014-2016 Galois Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Cryptol.TypeCheck.TypeOf

Description

Synopsis

- fastTypeOf :: Map Name Schema -> Expr -> Type
- fastSchemaOf :: Map Name Schema -> Expr -> Schema

# Documentation

fastTypeOf :: Map Name Schema -> Expr -> Type Source #

Given a typing environment and an expression, compute the type of the expression as quickly as possible, assuming that the expression is well formed with correct type annotations.

fastSchemaOf :: Map Name Schema -> Expr -> Schema Source #